# Uses of Class
org.apache.lucene.internal.hppc.IntFloatHashMap

Packages that use IntFloatHashMap
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

## Uses of IntFloatHashMap in org.apache.lucene.internal.hppc

Methods in org.apache.lucene.internal.hppc that return IntFloatHashMap
Modifier and Type
Method
Description
`IntFloatHashMap`
IntFloatHashMap.`clone()`
`static IntFloatHashMap`
IntFloatHashMap.`from(int[] keys, float[] values)`
Creates a hash map from two index-aligned arrays of key-value pairs.
Methods in org.apache.lucene.internal.hppc with parameters of type IntFloatHashMap
Modifier and Type
Method
Description
`protected boolean`
IntFloatHashMap.`equalElements(IntFloatHashMap other)`
Return true if all keys of some other container exist in this container.
Constructors in org.apache.lucene.internal.hppc with parameters of type IntFloatHashMap
Modifier
Constructor
Description
``
`IntFloatHashMap(IntFloatHashMap map)`
Create a hash map from all key-value pairs of another map.